Множественные уязвимости в ACollab

Дата публикации:
02.06.2009
Дата изменения:
02.06.2009
Всего просмотров:
1542
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
ACollab 1.x
Уязвимые версии: ACollab 1.2, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "f" в сценарии sign_in.php, в параметре "address" в сценарии profile.php и в параметре "description" в сценарии events/add_event.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной проверки подлинности HTTP запросов при выполнении некоторых действий. Удаленный пользователь может произвести CSRF нападение и добавить группы или изменить членство в группах.

URL производителя: www.atutor.ca/acollab/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://holisticinfosec.org/content/view/115/45/

или введите имя

CAPTCHA